// "namer.h"

/*    Copyright (C) 1998 George Caswell

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    George Caswell
    timbuktu@wpi.edu
    http://adamant.res.wpi.net/~timbuktu/xevil

For the original xevil and new 2.0 versions-

    Steve Hardt
    satan@xevil.com
    http://www.xevil.com
*/

#ifndef NAMER_H
#define NAMER_H

#ifndef NO_PRAGMAS
#pragma interface
#endif

#include "utils.h"

class Namer {
   public:
	Namer();
	~Namer();
	void initnames();
	void initsayings();
	char *get_name();
	char *get_saying();
	int totalnames();
	int totalsayings();
   private:
	static char *wittySayings[];
	static char *intelNames[];
	int numnames, numsayings;
	int *nameidx, currname;
	int *sayingidx, currsaying;
};

#endif
